petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceApplyAll

Apply all functionals from the dual space basis to the result of an evaluation at the points returned by PetscDualSpaceGetAllPoints()

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceApplyAll(PetscDualSpace sp, const PetscScalar *pointEval, PetscScalar *spValue)

### Input Parameters

| sp | - The PetscDualSpace object
| pointEval | - Evaluation at the points returned by PetscDualSpaceGetAllPoints()

### Output Parameter

spValue -The values of all dual space functionals

### See Also

PetscDualSpaceCreate()

### Level

beginner

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages